
import java.util.*;

public class LicenseNumberFactory  {

	/**
	 *  The stamper for this factory
	 */
	private LicenseNumberStamper licenseNumberStamper_;
	public LicenseNumberStamper licenseNumberStamper() { return licenseNumberStamper_; }
	public void licenseNumberStamper( LicenseNumberStamper aLicenseNumberStamper ) { licenseNumberStamper_ = aLicenseNumberStamper; }

    public LicenseNumberFactory()  {
        this.initialize();
    }
    
    private void initialize() {
        this.licenseNumberStamper(new LicenseNumberStamper());
    }
    
    public void startProducing() {
        int i = 1;
        while (!this.licenseNumberStamper().currentPlateID().equals("ZZZ999")) {
            this.licenseNumberStamper().stampNextPlate();
            i++;
           // System.out.println("Just stamped - " + this.licenseNumberStamper().currentPlateID());
        }
        System.out.println("total plates = " + i);
    }
    
    public String currentPlateID()  {
        return this.licenseNumberStamper().currentPlateID();
    }
    
}